Bug 466696 - Booting livecd written to usb drive doesn't see it for installation source
Booting livecd written to usb drive doesn't see it for installation source
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-12 19:04 EDT by Samuel Sieb
Modified: 2008-10-24 12:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 12:01:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samuel Sieb 2008-10-12 19:04:37 EDT
I created a bootable usb drive using livecd-iso-to-disk.  After booting it, I get to the installation source selection.  I choose hard disk and it gives me a list.  But the usb drive I'm booting from is not on that list.  On F9 I could press F2 to get to the extra drive selection and then go back to the list, and the usb drive partition would be now listed.  (I think that was the method, I had to fiddle around a lot to get it to show up.)  On F10beta, the only way I can get it to show up is to pull the drive out and plug it in again.  I wasn't able to test if I could actually install from it, but it did show up in the list.

Expected Results:
The partition on the bootable usb drive where I keep the installation DVD image shows up in the list of hard drives to install from.
Comment 1 Chris Lumens 2008-10-13 10:25:35 EDT
On tty4 you should see the kernel messages.  Prior to removing and reinserting the USB disk, is there any indication the kernel was able to detect the device and scan its partition table?  If they've scrolled off, you can use dmesg from the shell on tty2.  I see this problem fairly often when testing the updates mechanism with USB disks.
Comment 2 Samuel Sieb 2008-10-17 21:30:55 EDT
I see the problem.  I'm too quick. :-)
There is a delay before the usb drive is scanned and I select the hard drive option before it is scanned.  So I don't know what you could do about that other than maybe a rescan option in the menu.
Comment 3 Chris Lumens 2008-10-24 12:01:37 EDT
Unfortunately, there's really nothing we can do here as we get no notice from the underlying hardware probing layers that devices are ready or not.  We could always put in random sleeps in the hopes we'll wait long enough and things will be ready to go, but ugh.

Note You need to log in before you can comment on or make changes to this bug.